Bug 81636 - should add StartupNotify=true to GNOME desktop files
should add StartupNotify=true to GNOME desktop files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-menus (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Nickell
: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-11 17:55 EST by louisgtwo
Modified: 2005-10-31 17:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 21:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 157167 None None None Never

  None (edit)
Description louisgtwo 2003-01-11 17:55:14 EST
Since gnome-2.2 and I think kde support startup-notification someone should go
through redhat-menus desktop files and see if it needs a
StartupNotify-true line.

Unfortunately openoffice and evolution and mozilla don't support
startup notification, unless Havoc get a chance to implement legacy mode.
Comment 1 Havoc Pennington 2003-01-14 17:08:56 EST
A bug tracking 400 separate changes isn't really useful, so I'm going to 
call this one "add StartupNotify=true to gnome packages"
Comment 2 Seth Nickell 2004-06-08 15:45:24 EDT
This is way too broad. I believe most GNOME desktop files have
StartupNotify set already. I just looked at gnome-*.desktop and made a
list of those w/o StartupNotify set:

-gnome-accessibility.desktop
-gnome-control-center.desktop
-gnome-gdmsetup.desktop
-gnome-glade-2.desktop
-gnome-gtoaster.desktop
-gnome-kino.desktop
-gnome-nautilus-computer.desktop
-gnome-nautilus.desktop
-gnome-nautilus-home.desktop
-gnome-network-scheme.desktop
Comment 3 Bryan W Clark 2004-11-01 01:29:16 EST
Here's a more recent list.

-gnome-accessibility.desktop
-gnome-gdmsetup.desktop
-gnome-glade-2.desktop
-gnome-keyring-manager.desktop
-gnome-nautilus-computer.desktop
-gnome-nautilus.desktop
-gnome-nautilus-home.desktop
-gnome-nettool.desktop
-gnome-network-scheme.desktop
Comment 4 Bryan W Clark 2004-11-02 15:50:00 EST
(In reply to comment #3)
> -gnome-nettool.desktop
http://bugzilla.gnome.org/show_bug.cgi?id=157167
Comment 5 Bryan W Clark 2004-11-17 22:43:12 EST
(In reply to comment #4)
> (In reply to comment #3)
> > -gnome-nettool.desktop
> http://bugzilla.gnome.org/show_bug.cgi?id=157167

Fixed.
Comment 6 Bryan W Clark 2005-02-14 20:54:24 EST
(In reply to comment #3)
> -gnome-nautilus-computer.desktop
> -gnome-nautilus.desktop
> -gnome-nautilus-home.desktop

Just need to pull these from upstream now.

http://bugzilla.gnome.org/show_bug.cgi?id=163046
Comment 7 Bryan W Clark 2005-02-14 21:03:10 EST
So this leaves these to go:

We don't really care enough about these to fix them.
-gnome-accessibility.desktop
-gnome-gdmsetup.desktop
-gnome-glade-2.desktop

This is the only one we might still care about, but really I don't see why this
is that necessary.  They are probably going to do another major rewrite sometime
soon. 
-gnome-keyring-manager.desktop

Forgot to scratch this one, I believe it's nautilus too
-gnome-network-scheme.desktop

Everything is fixed upstream that we'd done, the others we're not going to worry
about.

Note You need to log in before you can comment on or make changes to this bug.